from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNameAccess

@runtime_checkable
class XNamedRanges(XNameAccess, Protocol):
    def addNewByName(self, aName: str, aContent: str, aPosition: CellAddress, nType: int) -> None: ...
    def addNewFromTitles(self, aSource: CellRangeAddress, aBorder: Border) -> None: ...
    def removeByName(self, aName: str) -> None: ...
    def outputList(self, aOutputPosition: CellAddress) -> None: ...
